Bug 475185 - panel display glitches when re-changing display size under gnome
panel display glitches when re-changing display size under gnome
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-08 07:39 EST by Peter F. Patel-Schneider
Modified: 2009-05-18 19:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 19:41:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot with panels wrong width and bottom panel in wrong position (2.90 MB, image/png)
2008-12-08 07:39 EST, Peter F. Patel-Schneider
no flags Details
Xorg.0.log from boot just before changing screen size (637.04 KB, text/plain)
2008-12-08 07:40 EST, Peter F. Patel-Schneider
no flags Details

  None (edit)
Description Peter F. Patel-Schneider 2008-12-08 07:39:20 EST
Created attachment 326125 [details]
screenshot with panels wrong width and bottom panel in wrong position

Description of problem:  

When changing display resolution a second time, the gnome panels end up in the wrong plage.

Version-Release number of selected component (if applicable):

GNOME 2.24.1 under Fedora 10 current as of 8 Dec 2008

How reproducible:

Always (3 of 3 so far), at least on my laptop, which is a Lenovo Thinkpad T60p with a 1600x1200 screen and ATI Technologies Inc M56GL [Mobility FireGL V5200] and the radeon driver.

Steps to Reproduce:
1. Boot machine (1600x1200 resolution)
2. Change screen resolution to 1024x768 using gnome-display-properties from System->Preferences->Hardware->Screen Resolution menu item (to prepare for presentation on XGA projectors)
3. Change resolution back to 1600x1200
  
Actual results:

Gnome panels first move and resize for 1024x768 resolution, but don't move and don't resize for the change back to 1600x1200 resolution.  They stay 1024 pixels wide and the bottom panel is left 768 pixels down from the top of the screen.  Moving the panels around results in them moving as if the screen was 1024x768 resolution.

Restarting X clears the problem.

Expected results:

Gnome panels should first move and resize for 1024x768 resolution and then remove and re-resize for 1600x1200 resolution.

Additional info:

I enclose a screenshot and Xorg.0.log
Comment 1 Peter F. Patel-Schneider 2008-12-08 07:40:50 EST
Created attachment 326126 [details]
Xorg.0.log from boot just before changing screen size

This should show that there are no proprietary drivers in use.
Comment 2 Peter F. Patel-Schneider 2008-12-08 07:44:03 EST
I forgot to add that the top panel also doesn't display correctly.  Moving the mouse over the active areas of the panel restores them, however.  The screenshot shows the problem, as it is missing the "Places" and "System" menu titles and much of the rest of the top panel.
Comment 3 Peter F. Patel-Schneider 2009-05-18 19:41:27 EDT
Fixed in current F11 rawhide as far as I can tell, so I'm closing the report.

Note You need to log in before you can comment on or make changes to this bug.